Loading...
Searching...
No Matches
ndc.h File Reference

This header defined the NDC class. More...

## Classes

class | dcmtk::log4cplus::NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "<i>Pattern Languages of Program Design 3</i>" edited by Martin et al. More...
struct | dcmtk::log4cplus::DiagnosticContext
| This is the internal object that is stored on the NDC stack. More...
class | dcmtk::log4cplus::NDCContextCreator
| This class ensures that a `NDC#push` call is always matched with a `NDC#pop` call even in the face of exceptions. More...

## Functions

DCMTK_LOG4CPLUS_EXPORT NDC & | dcmtk::log4cplus::getNDC ()
| Return a reference to the singleton object.

## Detailed Description

This header defined the NDC class.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0